#!/bin/sh
# Samba-TNG                                         smbpasswd2lower.sh
# --------------------------------------------------------------------
# Convert users and dirs in SAM-Dump to lower case

# --------------------------------------------------------------------
SRC=$1
DST=$2
# --------------------------------------------------------------------
if [ "$DST" = "" ];then
	echo ""
	echo "usage: $(basename $0) <SaMdUmP-input-file> <samdump-output-file>"
	echo ""
	exit
fi
# --------------------------------------------------------------------
echo "Converting <$SRC> to <$DST>..."
# --------------------------------------------------------------------
cat $SRC \
	|sed "s//ss/g" \
	|sed "s//ae/g" \
	|sed "s//oe/g" \
	|sed "s//ue/g" \
	|sed "s//Ae/g" \
	|sed "s//Oe/g" \
	|sed "s//Ue/g" \
	|awk -F: 'BEGIN{
}
{
	uid=tolower($1)
	sid=$2
	lmpwd=$3
	ntpwd=$4
	cn=$5
	home=tolower($6)

	print uid":"sid":"lmpwd":"ntpwd":"cn":"home":"
}
END{
}' > $DST
# --------------------------------------------------------------------
echo "Done."
# --------------------------------------------------------------------
